# AODataKeyGetNeighbors

Given a list of keys generates a new list containing those keys plus neighbors found in a neighbors list.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataKeyGetNeighbors(AOData aodata,const char name[],PetscInt n,PetscInt *keys,IS *is)

Collective on AOData

### Input Parameters

| aodata | - the database
| name | - the name of the key
| n | - the number of data items needed by this processor
| keys | - the keys provided by this processor

### Output Parameters

is -the indices retrieved

### Keywords

database transactions

### See Also

AODataCreateBasic(), AODataDestroy(), AODataKeyAdd(), AODataSegmentRestore(),
AODataSegmentGetIS(), AODataSegmentRestoreIS(), AODataSegmentAdd(), AODataKeyGetInfo(), AODataSegmentGetInfo(), AODataSegmentAdd(), AODataKeyGetNeighborsIS()

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages